import MCF_BaseType from './base'



export default class MCF_Boolean extends MCF_BaseType {
  constructor(definition) {
    super(definition)
    this.addValidations()
  }

  addValidations() {
    this.validations.type = function(value) {
      if (typeof(value) !== 'boolean') {
        throw new Error(`MCF-Objects ==> MCF_Boolean creation: the type of the value ${value} isn't "boolean"`)
      }
    }
  }
}
